Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000569 [Piwigo] security minor always 2006.10.23 08:03 2008.01.31 10:36
Reporter flipflip View Status public  
Assigned To
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.0 Product Version 1.6.1
  Target Version Product Build
Summary 0000569: Affichage de la vignette même si pas les droits
Description Donc j'ai une catégorie virtuelle qui se présente comme ça :

--Categorie mère
----Catégorie fille_1
-------Catégorie fille_2
----------Catégorie fille_3

Catégorie mère, fille_1, fille_2 sont accéssible au groupe famille (dont je fais partie). Elle ne contiennent pas de photos. Catégorie fille_3 contient les photos et n'est pas accéssible au groupe famille. Sur la page d'accueil (index?/categories) la vignette représentative de Catégorie fille_3 est visible. Il en vas de même si je clic sur Catégorie fille_1. Au contraire si je clic sur Catégorie fille_2 la vignette disparait et je n'ai pas la visu de l'existance de Catégorie fille_3.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001486)
VDigital (reporter)
2006.10.23 12:23

Pour moi soit le pb est mal décrit soit il n'existe pas...
Si "Catégorie mère, fille_1, fille_2 sont accéssible au groupe famille (dont je fais partie). Elle ne contiennent pas de photos."

Si elles ne contiennent pas de photos et que je veux quelles ne prennent pas une vignette de fille_3... Alors je leur fixe une image représentante qui se trouve être dans une catégorie particulière.
Je dis bien je fixe.
Si c'est bien ton pb, c'est donc que tu fais de l'aléatoire sur des catégories publiques qui contiennent des catégories privées. Soit tu places la catégorie mère comme privée soit tu lui fixes sa représentante.
Le processus d'attribution aléatoire sera encore ralenti si tu veux un contrôle des droits de chaque sous-catégorie.
Pour moi, le problème est plus lié à de l'organisation des catégories.
8-)
(0001487)
flipflip (reporter)
2006.10.23 15:22

Petite correction, ce n'est pas un groupe famille mais un utilisateur générique famille que j'ai créé, désolé. Ensuite je ne cherche absolument pas à obtenir cette structure, c'est juste que je suis tombé dessus par hasard.

Je vais donner le vrai cas avec les vrais noms.
--------------------
--Divers
----Appartement
------MonChezMoi
--------Vide
--------Panoramique
--------------------
Divers, Appartement, MonChezMoi sont accéssible a l'utilisateur famille, en privé mais ne comportent pas de photos. Vide et Panoramique sont accéssible à personnes, en privé et contiennent chacunes des photos qui proviennent d'une catégorie physique privé, vérouillé et inaccéssible a l'utilisateur famille. Dans ce cas de figure dans le menu de gauche j'ai :
--------------------
--Divers
----Appartement
------MonChezMoi
--------------------
En peut importe le niveau ou je me trouve j'ai toujours une vignette provenant de Vide ou Panoramique qui apparait. Et je n'ai pas fixé de représentante.

--------------------
Si elles ne contiennent pas de photos et que je veux quelles ne prennent pas une vignette de fille_3... Alors je leur fixe une image représentante qui se trouve être dans une catégorie particulière.
Je dis bien je fixe.
--------------------
Je vois pas trop ce que je pourrais mettre comme représentante. Surement pas celle des vacances ;)

--------------------
Le processus d'attribution aléatoire sera encore ralenti si tu veux un contrôle des droits de chaque sous-catégorie.
Pour moi, le problème est plus lié à de l'organisation des catégories.
--------------------
Ce n'est pas un problème je veux bien fixé une représentante pour Vide ou Panoramique. Mais pas pour Divers, Appartement, MonChezMoi puisque normalement les personnes qui n'ont pas accès à Vide ou Panoramique ne doivent pas en connaître l'existance, enfin que lorsque je navigue au premier niveau de Divers, je ne me retrouve pas avec la représentante de Divers.
(0002114)
rub (developer)
2008.01.30 19:29

Le problème survient-il encore en 1.7?
(0002116)
flipflip (reporter)
2008.01.31 09:59

J'ai réussi après quelques batailles à reproduire la structure et le problème n'est plus présent en 1.7.1.
(0002117)
rub (developer)
2008.01.31 10:36

Merci flipflip!
Dans ce cas, je ferme la fiche.

- Issue History
Date Modified Username Field Change
2006.10.23 08:03 flipflip New Issue
2006.10.23 08:03 flipflip browser => any
2006.10.23 08:03 flipflip Web server => Apache 1.3.x
2006.10.23 12:23 VDigital Note Added: 0001486
2006.10.23 15:22 flipflip Note Added: 0001487
2008.01.30 19:29 rub Note Added: 0002114
2008.01.31 09:59 flipflip Note Added: 0002116
2008.01.31 10:36 rub Status new => closed
2008.01.31 10:36 rub Note Added: 0002117
2008.01.31 10:36 rub Resolution open => fixed
2008.01.31 10:36 rub Fixed in Version => 1.7.0


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker